module Lib
  ( isInt,
    toInt,
    sort,
  )
where

isInt :: String -> Bool
isInt = all isDigit
  where
    isDigit c = '0' <= c && c <= '9'

toInt :: String -> Int
toInt = read

sort :: Ord a => [a] -> [a]
sort [] = []
sort (x : xs) = sort smaller ++ [x] ++ sort bigger
  where
    smaller = filter (< x) xs
    bigger = filter (>= x) xs